- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# atkbd.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | altKey 4
#define | controlKey 2
#define | ledCapslock 4
#define | ledNumlock 2
#define | ledScrolllock 1
#define | shiftKey 1
## Functions
int | atkbd_init ()
void | atkbd_isr ()
void | keyboardHandler ()
void | setLED ()

## Define Documentation

#define altKey 4

Definition at line 35 of file atkbd.h.

Referenced by keyboardHandler().

#define controlKey 2

Definition at line 34 of file atkbd.h.

Referenced by keyboardHandler().

#define ledCapslock 4

Definition at line 38 of file atkbd.h.

Referenced by keyboardHandler().

#define ledNumlock 2

Definition at line 36 of file atkbd.h.

Referenced by keyboardHandler().

#define ledScrolllock 1

Definition at line 37 of file atkbd.h.

Referenced by keyboardHandler().

#define shiftKey 1

Definition at line 33 of file atkbd.h.

Referenced by keyboardHandler().

## Function Documentation

int atkbd_init | ( |  | ) |

Definition at line 157 of file atkbd.c.

References atkbd_isr(), atkbd_scan(), dDpl0, dInt, dPresent, irqEnable(), kprintf(), mVec, setLED(), setVector(), stdinBuffer, and x1.

Here is the call graph for this function:

void atkbd_isr | ( |  | ) |

Referenced by atkbd_init().

void keyboardHandler | ( |  | ) |

Definition at line 216 of file atkbd.c.

References altKey, atkbd_scan(), atkbdSpinLock, backSpace(), controlKey, controlKeys, vitalsStruct::freePages, inportByte(), K_PANIC, keyboardMap, keyMap, kprintf(), ledCapslock, ledNumlock, ledScrolllock, ledStatus, outportByte(), setLED(), shiftKey, spinTryLock(), spinUnlock(), tty_termNode::stdin, stdinBuffer, stdinSize, tty_termNode::stdinSize, systemVitals, tty_change(), and tty_foreground.

Here is the call graph for this function:

void setLED | ( |  | ) |

Definition at line 321 of file atkbd.c.

References inportByte(), ledStatus, and outportByte().

Referenced by atkbd_init(), and keyboardHandler().

Here is the call graph for this function: